Bug 112727 - Filenames in manifest can not contain '#'
Summary: Filenames in manifest can not contain '#'
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fedora Packaging Toolset Team
QA Contact:
URL: http://distro2.conectiva.com.br/piper...
Whiteboard:
Keywords: FutureFeature, Patch
: 130306 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-29 23:45 UTC by Enrico Scholz
Modified: 2016-04-20 12:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
allows escaped characters in manifest (3.03 KB, patch)
2004-01-01 21:23 UTC, Enrico Scholz
no flags Details | Diff
testsuite (692 bytes, text/plain)
2004-01-01 21:25 UTC, Enrico Scholz
no flags Details

Description Enrico Scholz 2003-12-29 23:45:09 UTC
Description of problem:

It is impossible to use manifests with files whose names are
containing '#'. Such manifests/files are generated e.g. by recent
'apt' versions, see 

http://distro2.conectiva.com.br/pipermail/apt-rpm/2003-December/002125.html

for complete report.


Version-Release number of selected component (if applicable):

rpm-4.2.1-0.30.1.1


How reproducible:

100%


Steps to Reproduce:
1. echo -e '/tmp/foo#.i386.rpm\n'{,,,,} >/tmp/x.list
   [crude shortcut, manifest files seem to need >=5 lines...]
2. rpm -Uvh --test /tmp/x.list 



Actual results:
error: open of /tmp/foo failed: No such file or directory


Expected results:
error: open of /tmp/foo#.i386.rpm failed: No such file or directory

Or a way to express '#' in manifests

Comment 1 Jeff Johnson 2003-12-30 12:44:22 UTC
Yup, comment characters in manifests, not '^#' so that
input can be free field.

Do you really care? Why?

Comment 2 Enrico Scholz 2004-01-01 21:23:52 UTC
Created attachment 96738 [details]
allows escaped characters in manifest

Current apt-get generates such manifests (see URL in initial report). Patching
apt is required for backward compatibility, but it would be nice to have an
escape mechanism in rpm.

This patch allows '\' escaped characters in manifests and handles '#' in a
bash-like way (e.g. 'foo#bar' stays 'foo#bar', but 'foo #bar' becomes 'foo').

Comment 3 Enrico Scholz 2004-01-01 21:25:15 UTC
Created attachment 96739 [details]
testsuite

I do not know how to integrate it into rpm, but here is a small testsuite for
the new functionality.

Comment 4 John Thacker 2006-10-29 21:10:50 UTC
Is this still an issue on a more recent version of rpm?  (Such as a 4.4.x
version, as included in FC5 and FC6?)  FC3 and FC4 are supported by Fedora
Legacy for security fixes only, so can you please retest this in FC5 or FC6?

Comment 5 John Thacker 2006-10-29 21:25:52 UTC
*** Bug 130306 has been marked as a duplicate of this bug. ***

Comment 6 Red Hat Bugzilla 2007-08-21 05:17:49 UTC
User pnasrat@redhat.com's account has been closed

Comment 7 Panu Matilainen 2007-08-22 06:31:03 UTC
Reassigning to owner after bugzilla made a mess, sorry about the noise...

Comment 8 Fedora Admin XMLRPC Client 2012-04-13 23:11:28 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Fedora Admin XMLRPC Client 2012-04-13 23:13:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.


Note You need to log in before you can comment on or make changes to this bug.